com.sun.jna.platform.win32

## Class WinCrypt.CRYPT_KEY_PROV_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_KEY_PROV_INFO

Direct Known Subclasses:
  WinCrypt.CRYPT_KEY_PROV_INFO.ByReference

Enclosing interface:
  WinCrypt

    @Structure.FieldOrder(value={"pwszContainerName","pwszProvName","dwProvType","dwFlags","cProvParam","rgProvParam","dwKeySpec"})
    public static class WinCrypt.CRYPT_KEY_PROV_INFO
    extends Structure

The CRYPT_KEY_PROV_INFO structure contains information about a key container within a cryptographic service provider (CSP).

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CRYPT_KEY_PROV_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cProvParam`
`int` `dwFlags`
`int` `dwKeySpec`
`int` `dwProvType`
`java.lang.String` `pwszContainerName`
`java.lang.String` `pwszProvName`
`Pointer` `rgProvParam`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CRYPT_KEY_PROV_INFO()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinCrypt.CRYPT_KEY_PROV_PARAM[]` `getRgProvParam()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pwszContainerName

    public java.lang.String pwszContainerName

#### pwszProvName

    public java.lang.String pwszProvName

#### dwProvType

    public int dwProvType

#### dwFlags

    public int dwFlags

#### cProvParam

    public int cProvParam

#### rgProvParam

    public Pointer rgProvParam

#### dwKeySpec

    public int dwKeySpec

### Constructor Detail

#### CRYPT_KEY_PROV_INFO

    public CRYPT_KEY_PROV_INFO()

### Method Detail

#### getRgProvParam

    public WinCrypt.CRYPT_KEY_PROV_PARAM[] getRgProvParam()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.